Resolvendo o problema do VMware Player no Ubuntu 15.04 Vivid Vervet.

Como coloquei pra funcionar o VMWare Player após migrar do Ubuntu 14.04 LTS para o 15.04 Beta

Sendo este minha contribuição a título de artigo sobre GNU/Linux, gostaria de fazê-lo de forma simples e clara. Meu problema começou quando efetuei a atualização do Ubuntu 14.04 LTS para a versão 15.04 Beta (Vivid Vervet), ouvi falar muito bem da atualização e fiquei entusiasmado com a possibilidade de contribuir para o projeto.

Após a atualização(que demorou um pouco devido à minha conexão), passei a efetuar as verificações de praxe, se a placas de rede e vídeo estavam operacionais, principais programas funcionando e aproveitando para testar a performance do sistema em si. Ocorre que quando coloquei pra rodar o VMware Player o mesmo não inicializava, apresentava uma mensagem em alerta:

“Before you can run VMware, several modules must be compiled and loaded into running kernel.” Com as opções “Cancel” ou “Install”.

Como todo entusiasta escolhi a opção “Install” (Eu e todo mundo que se deparou com isso pelo que eu pesquisei na net), após uma série de processamento demonstrado numa caixa de diálogo terminava sempre em “Unable to start services. See log file /tmp/vmware-root/vmware-modconfig-****.log for details.” (foram vários desses logs). Pergunta daqui, pesquisa dali, testei diversas soluções postadas aqui mas com outras versões, porém sem sucesso, até que localizei na web (no site: https://wiki.archlinux.org) o problema e a solução descrita abaixo, depois de resolvida, parece muito simples.

Ao que parece já é um problema conhecido do pessoal do site (diversas ligações externas em hiperlinks), o kernel 3.19 do Ubuntu 15.04 causa uma falha de criação da conexão virtual para que o Vmware Player possa funcionar com perfeição, desse modo criou-se um patch para essa correção (você pode acessar e ver aqui: http://pastie.org/9934018) que deve ser aplicado conforme passo a descrever:

1 – Baixe o patch na pasta /tmp digitando no terminal:

$ curl http://pastie.org/pastes/9934018/download -o /tmp/vmnet-3.19.patch

2 – Acesse a biblioteca do vm e extraia o arquivo vmnet conforme a seguir:

$ cd /usr/lib/vmware/modules/source

# tar -xf vmnet.tar

3 – Aplique a correção:

# patch -p0 -i /tmp/vmnet-3.19.patch

4 – Recrie o arquivo:

# tar -cf vmnet.tar vmnet-only

5 – Remova os arquivos de sobra:

# rm -r *-only

6 – Recompile os módulos:

# vmware-modconfig –console –install-all

Pronto. O VMware Player voltou a funcionar e startou a apliance que eu tinha anteriormente, espero que possa ter sido de grande valia a todos. See you later 😉

Fernando “Eagle” de Sousa

VM_Funcionando

Anúncios

Sobre Fernando "Eagle" de Sousa
Apenas alguém interessado em aprender cada dia mais e mais.

44 Responses to Resolvendo o problema do VMware Player no Ubuntu 15.04 Vivid Vervet.

  1. Lucas Vital says:

    Funcionou aqui.
    Obrigado!!

  2. Everaldo Claro dos Anjos says:

    Obrigado, funcionou 100%

  3. Giovani says:

    Funcionou corretamente…..foi só fazer os comandos corretamente.
    Valeu Fernando show de boal!!!

  4. Marcus Garcia says:

    Fernando, nao estou conseguindo. Pode me dar um help?
    O erro acontece quando tento recompilar.

    (vmware-modconfig:8905): Gtk-WARNING **: Unable to locate theme engine in module_path: “murrine”,

  5. Wilson says:

    Beleza. Depois do ultimo comando fui testar e não deu certo, o que eu fiz de errado?
    :/usr/lib/vmware/modules/source# vmware-modconfig –console –install-all
    Logging to /tmp/vmware-root/vmware-modconfig-17203.log
    Icon name must be set.

    • Amigo, refiz aqui todos os passos e tudo correu bem, solicito que refaça todo o procedimento, se for necessário faça o download do patch de correção novamente para que possamos obter êxito.

      • Wilson says:

        Fiz uma instalação limpa do Ubuntu e agora funfa. Obrigado pela atenção, acredito que a instalação antiga estava muito maltratada, tive um erro com o virtualbox e mexi muito nela, ae mesmo com sua dica nada funcionava.

  6. Meus parabéns chefe! De qualquer forma sempre um prazer poder ajudar.

  7. Thiago Faria says:

    Boa noite , para mim não deu certo fiz e refiz, limpei a instalação anterior e nada. mesmo erro ainda apresentado no modconfig.

    • Caro Thiago,
      Infelizmente não tenho muito mais a acrescentar ao post, visto que já efetuei todos os testes, e reinstalações e em todas elas funcionou. Gostaria de saber qual a versão do Ubuntu e do VMWare que porventura estás utilizando.
      Sds. Fernando “Eagle” de Sousa.

  8. Thiago says:

    Boa tarde

    Aqui nao funcionou , no comando patch -p0 -i /tmp/vmnet-3.19.patch faz uma pergunta e nao sei o que respondo , seguindo os comandos no fim da erro com a ” msg Icon name must be set. “

    • Posta a tal “pergunta” que o sistema lhe faz após a compilação.

    • Detalhe: Já saiu a versão 15. 10 do Ubuntu e a versão 12 do VMWare.

      • Thiago says:

        O problema que ja tentei tambem no ubuntu 15 e por ser uma distribuição nova deu bugs , agora estou na 15.04 32 bits, e apresenta erro abaixo:

        Makefile:1395: recipe for target ‘_module_/tmp/modconfig-RCCPD2/vmnet-only’ failed
        make[1]: *** [_module_/tmp/modconfig-RCCPD2/vmnet-only] Error 2
        make[1]: Leaving directory ‘/usr/src/linux-headers-3.19.0-37-generic’
        Makefile:130: recipe for target ‘vmnet.ko’ failed
        make: *** [vmnet.ko] Error 2
        make: Leaving directory ‘/tmp/modconfig-RCCPD2/vmnet-only’
        Unable to install all modules. See log for details.

      • Thiago não sei o que pode haver acontecido uma vez que não tive mais problemas com as versões posteriores. Aliás saiu a versão 12 do VMWare (apenas para 64 bits até onde sei). Tente instalar um sistema 64 bits e a última versão do VMWare. Forte abraço. Fernando.

  9. Tiago Machado says:

    é — ao invés de –

    Tente:
    # vmware-modconfig –console –install-all

  10. Pingback: Linux Mint – Parte II – Instalando o VMware | Fernando "Eagle" de Sousa

  11. Marcos Paulo Mota says:

    O meu dá erro no comando: patch -p0 -i /tmp/vmnet-3.19.patch
    retorna isso:
    patch: **** Only garbage was found in the patch input.

  12. Boa tarde, Baixastes o arquivo e o extraistes como nos passos 1 e 2?

  13. Lucas says:

    Boa noite, também vai funcionar no ubuntu 16.04?

  14. Efetue o teste (a aplicação do patch e recompilação dos módulos) e compartilhe aqui sua experiência. Por gentileza. 😉

  15. Lucas says:

    Para funcionar no Ubuntu 16.04 tem q mudar algo no patch eu acho, mas nao sei o que mudar. alguém pode dar uma dica?

  16. vini936@hotmail.com says:

    estou tendo o problema na parte fo patch com a seguinte mensagem pode ajudar.

    patch -p0 -i /tmp/vmnet-3.19.patch
    patch: **** Only garbage was found in the patch input

    uso o linux mint 18 com kernel 4.4

  17. Alberto says:

    Bom dia. Meu nome e Alberto.
    Depois que atualizei o ubuntu para o 16.10 o vmware player não funciona mais , tentei de todas as formas a fazer voltar a funcionar. Eu não tenho a vmnet-3.19.patch pois pensei que com ela eu conseguiria resolver o problema será que voce teria ela ai ou terai alguma ideia de que posso fazer para resolver esse problema? Obrigado.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s

%d blogueiros gostam disto: